[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum-presto 0.3.4



On 4/7/07, Mladen Kuntner <mladen kuntner triera net> wrote:
On Fri, 2007-04-06 at 14:07 +0300, Jonathan Dieter wrote:
> On Thu, 2007-04-05 at 14:53 +0200, Tim Lauridsen wrote:
> > This error is Python 2.5 related, cElementTree is included in Python 2.5.
> >
> > Something like this will make it work in both python 2.4 (FC6) and
> > Python 2.5 (FC7)
> >
> > try:
> >     from cElementTree import interparse # Python 2.4
> > except:
> >     from xml.etree.cElementTree  import interparse # Python 2.5
> >
> > Tim
> >
> If somebody using Rawhide would like to test this and tell me if this at
> least keeps presto from crashing yum.
>
> The file you need to edit is /usr/share/presto/prestomdparser.py, and
> the line you need to replace is "from cElementTree import interparse".
>
> Jonathan
> --
> fedora-devel-list mailing list
> fedora-devel-list redhat com
> https://www.redhat.com/mailman/listinfo/fedora-devel-list

on a 2.6.20-1.3036.fc7 #1 SMP x86_64 x86_64 x86_64 GNU/Linux
updated rawhide

I instaled yum-presto-0.3.7-1 and deltarpm-3.4-1.fc7.
and python is python-2.5-11.fc7 .

After replacing

from cElementTree import iterparse

with

from xml.etree.cElementTree  import interparse

yum is still crashing :(

# yum search presto

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 82, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 142, in getOptionsConfig
    errorlevel=opts.errorlevel)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 145, in
_getConfig
    startupconf.pluginconfpath)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 271, in
doPluginSetup
    plugin_types, confpath)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 129, in
__init__
    self._importplugins(types)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 170, in
_importplugins
    self._loadplugin(modulefile, types)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 187, in
_loadplugin
    module = imp.load_module(modname, fp, pathname, description)
  File "/usr/lib/yum-plugins/presto.py", line 31, in <module>
    from prestomdparser import PrestoMDParser
  File "/usr/share/presto/prestomdparser.py", line 23, in <module>
    from xml.etree.cElementTree  import interparse # Python 2.5
ImportError: cannot import name interparse

If you need some testing on x86_64 rawhide please tell.

mladen

Is xml.etree.cElementTree  suppose to have interparse? It isn't in the
docs: http://docs.python.org/lib/module-xml.etree.ElementTree.html



--
Fedora Core 6 and proud


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]